# NOTE(mrtz): Hack for working with bitnami legacy registry
global:
  security:
    allowInsecureImages: true
image:
    repository: bitnamilegacy/keycloak

production: true

proxyHeaders: xforwarded

auth:
  adminUser: admin
  managementUser: manager

ingress:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/proxy-buffer-size: 128k
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
  enabled: true
  ingressClassName: nginx
  path: /
  pathType: ImplementationSpecific
  selfSigned: false
  servicePort: http
  tls: true
